* {
  margin: 0;
  padding: 0px;
	font-family:arial;
}

h2{
	margin:10px;	
}

h3
{
	margin:10px;	
}

.Title_Bar
{
  background-color:#dddddd;
  color:#FFFFFF;
  text-align: center;
  font-size:400%;
  font-weight:bold;
  width:calc(100vw - 7px);
  height:150px;
  margin-top:0 auto;
  margin:-8px;
  padding-left:15px;
  table-layout:fixed;
}

.Title_Bar img
{
	padding-top: 10px; 
  	height: 100px;
 	display: block;
  	margin-left: auto;
  	margin-right: auto;
}

.Title_Bar div
{
	padding-top:0px;
	margin-left: auto;
  margin-right: auto;
}

.table_std
{
	padding:10px;
	width:30%;
	height:25%;
	margin: auto;
}

.table_std img
{
	vertical-align:middle;
	height:30px;
}

.table_std img:hover
{
	filter:invert(50%);
  	cursor:pointer;
}

.table_std label
{
	margin:10px;
	font-weight:bold;
	max-width:25%;
	min-width:25%;
	display:inline-block
}

.table_std select, .table_std input[type=password],.table_std input
{
	margin:10px;
	max-width:50%;
	min-width:50%;
	border-radius: 5px;
	padding:2px;
	display: inline-block;	
	width:300px;
}

.table_std input[type=submit]
{
	width:100px;
	text-align:center;
}

.table_std select:hover, .table_std input:hover
{
	border-color:#a0a0a0;	
}

.Button, .tab div button
{
	background-color:#1e3a8a;
}

.Button, .tab div.db_ctl button, .db_ctl button, .diaFull button, .db_ctl_list button,.tab div button
{
	width: 80px;
	height:25px;
	margin: 5px;
	font-weight:Bold;
	border-radius:5px;
	border-style:none;	
	color:#ffffff;
}

.db_ctl button, .tab div.db_ctl button, .db_ctl_list button, .tab div.db_ctl_list button
{
		background-color:#12b40e;
}

.Button:hover , .diaFull button:hover
{
	background-color:#4e6aba;
}

.db_ctl button:hover, .db_ctl_list button:hover
{
	background-color:#80ff80;
}

.tab div.db_ctl button:disabled, .db_ctl button:disabled, .Button:disabled, .tab div.db_ctl_list button:disabled, .db_ctl_list button:disabled
{
	background-color:#c0c0c0;
}

.nav_horiz ul ul 
{
  display: none;
  z-index: 100;
  position: sticky;
}

.nav_horiz
{
	font-size:25%;
} 

.nav_horiz ul li:hover > ul 
{
  display: block;
}

.nav_horiz ul {
  border-radius: 2px;  
  list-style: none;
  position: relative;
  display: inline-table;
  font-weight:bold;
  color:#ffffff;
}

.nav_horiz ul li 
{
  border-width:5px;
  borde-style:solid;
  float: left;
  width:200px;
  line-height:40px;
  text-align:center;
  position:relative;
  background:#005cb8;
  padding:0px;
  border-radius: 2px;  
}

.nav_horiz ul li:hover 
{
  background: #505050;
  border-radius: 2px;  
  position: relative;
}
	
.nav_horiz ul li a 
{
  display: block;
  color: #FFFFFF;
  text-decoration: none;
  	cursor:pointer;
}

.nav_horiz ul ul 
{
  border-radius: 2px; 
  position: absolute;
  top: 100%;
  left: 0%;
  padding:0px;
}

.nav_horiz ul ul li
{
  width:280px;
}

.nav_horiz ul ul ul
{
  border-radius: 2px; 
  position: absolute;
  top: 0%;
  left: 100%;
  padding:0px;
}

.nav_horiz ul ul li 
{
  float: none; 
  background: #eeeeee;
  text-align:left;
  padding:0px;
  color: #000000;
  border-color:#000000;
  border-width:1px;
  border-style:solid;
  height:35px;
}

.nav_horiz ul ul li a 
{
  display: block;
  color: #000000;
  background: #eeeeee;
  text-decoration: none;
  height:30px;
  	cursor:pointer;
}

.nav_horiz ul ul li a:hover,.nav_horiz ul ul li:hover 
{
  background: #dddddd;
}

.tab div.db_ctl, .tab div.db_ctl div,.tab div.db_ctl_list div
{
	border-style:none;
	height:auto;
}

.tab div.zeroHeight, .tab div.zeroHeight div
{
	height:auto;
}

.db_ctl_list table
{
	overflow:auto;
	display:inline-block;
	max-width:100%;
}

.db_ctl_list tr:nth-child(1) th.narrow, .db_ctl_list table tr td.narrow, .db_ctl_list table tr td.narrow label, .db_ctl_list table tr td.narrow input
{
	//max-width:140px;
	//min-width:140px;
}

.db_ctl_list tr:nth-child(1) th.medium, .db_ctl_list table tr td.medium, .db_ctl_list table tr td.medium label, .db_ctl_list table tr td.medium input, .db_ctl_list table tr td.medium select
{
	max-width:200px;
	min-width:200px;
}

.db_ctl_list tr:nth-child(1) th.wide, .db_ctl_list table tr td.wide, .db_ctl_list table tr td.wide label, .db_ctl_list table tr td.wide input
{
	max-width:300px;
	min-width:300px;
}

.db_ctl_list tr:nth-child(1) th.auto, .db_ctl_list table tr td.auto, .db_ctl_list table tr td.auto label, .db_ctl_list table tr td.auto input
{
	max-width:auto;
	min-width:auto;
}

.db_ctl_tall table
{
	height:calc(100vh - 340px);
}

.db_ctl_dia table
{
	height:calc(100vh - 180px);
}

.tab div.db_ctl_med, .tab div.db_ctl_tall, .tab div.db_ctl_full
{
	border-style:none;
}

.db_ctl_med table
{
	height:calc(100vh - 470px);
}
.db_ctl_full table
{
	height:calc(100vh - 380px);
}

.db_ctl img, .db_ctl_list img
{
	height:20px;
}

input[type=text],input[type=password], select
{
	border-radius:5px;
	padding:2px;
	margin:2px;
	width:200px;
}

.db_ctl select.date, .db_ctl select.year, .report_grid  select.year, .report_grid  select.date, .db_ctl_list select.date, .db_ctl_list select.year
{
	width:60px;
}

.db_ctl select:hover, .db_ctl input:hover, .db_ctl_list select:hover, .db_ctl_list input:hover
{
	border-color:#a0a0a0;	
}

.db_ctl img:hover, .db_ctl_list img:hover
{
	filter:invert(100%);
  	cursor:pointer;
}

.db_ctl th,.db_ctl_list th
{
	text-align:left;
	padding-left:5px;
	padding-right:5px;
}

.db_ctl_list tr:nth-child(1) td:nth-child(1)
{
	min-width:15px;
	z-index:10;
	background-color:#ffffff;
}

.db_ctl_list tr:nth-child(1) th
{
	background-color:#005cb8;
	color:#ffffff;	
	padding:5px;
}

.db_ctl_list tr:nth-child(1) th, .db_ctl_list table tr td
{
	//min-width:250px;
	//max-width:250px;
	padding-left:5px;
	padding-right:5px;
}

.db_ctl button,.db_ctl_list button
{
	width:100px;
	margin:5px;
}

.db_ctl_list table tr:nth-child(1)
{
	position: sticky;
	top:0px;
}

.db_ctl_list table tr:nth-child(1) th img
{
	vertical-align: middle;
	filter:invert(100%);
	height:20px;
	margin-left:5px;
	margin-top:2px;
	margin-bottom:2px;	
}

.db_ctl_list table tr:nth-child(1) th img:hover
{
	filter:invert(50%);
  	cursor:pointer;
}

.db_ctl_list tr:nth-child(1) tr th
{
	width:260px;
	text-align:left;
	position:sticky;
}

.db_ctl_list table tr:nth-child(1) tr td
{
	width:30px;
}

.db_ctl table tbody tr th
{
	width:30px;
	text-align:center;	
}

.tab div.db_ctl div, .tab div.db_ctl_list div
{
	height:50px;
}

.striped table tr:not(:first-child):hover
{
	background-color:#aaaaaa;
}

.dialog
{
	width:400px;
	max-height:150px;
	overflow:auto;
	top:calc(50vh - 60px);
	left:calc(50% - 200px);
	padding:5px;
}

.dialog div
{
	widht:100%;
	height:24px;
	background-color:#bbbbbb;
}

.dialog input
{
	margin:5px;
	border-radius: 5px;
}

.dialog input:hover
{
	border-color:#a0a0a0;	
}

.dialog img
{
	height:20px;
	padding-left:calc(100% - 20px);
	/*background-color:#ffffff;
	-webkit-mask-image: url(images/close.svg);
    mask-image: url(images/close.svg);*/
}

.dialog img:hover
{
	filter:invert(50%);
  	cursor:pointer;
}

* {
    margin: 0;
    padding: 0;
}

.calendar, .tab div.calendar
{
	display: inline-block; 
	position: absolute;
}

.calendar div, .tab span.calendar div
{
	position: relative;
	width: 310px;
   	height:auto; 
	border-width: 1px;
	top:24px;
	//left:-10px;
	z-index:20;
}

.table_std span.calendar div
{
	top:48px;
	left:-320px;
	
}
.calendar div div.calHead
{
	height:30px;
	min-height:20px;
	background-color:#aaaaaa;
	position: relative;
	top:0%;
	left:0%;
	border:solid;
	border-width: 1px;	
}

.calendar div div.calHead select
{
	margin:3px;
}

.calendar div div.calHead span
{
    width: 0;
    height: 0;
    border-width: 10px;
    border-style: solid;
    border-top-color: transparent;
    border-bottom-color: transparent;
    margin: 5px;
    float: left;
   	vertical-align:middle;    
    cursor: pointer;
}
  
.calendar div div.calHead span.left
{
    border-left-color: transparent;
    border-right-color: #ffffff;
    float: left;
}
.calendar div div.calHead span.right
{
	border-left-color: #ffffff;
    border-right-color: transparent;
    float: right;
}
  
.calendar div div.calHead select
{
 	width:100px;
}

.calendar div div.calBody
{
	background-color:#ffffff;
	position: relative;
	top:0px;
	left:0px;
	border:solid;
	border-width: 1px;
}
.calendar div div.calBody ul li
{
    display: inline-block;
    box-sizing: border-box;
    font-size: 15px;
    width: 40px;
    height: 30px;
    border-radius:50%;
    line-height: 30px;
    text-align: center;
    margin-bottom: 5px;
   	margin-left:0px;
    
}

.calendar li.notCurMonth
{
	color:#888888;
	
}

.calendar li.curMonth, .calendar li.notCurMonth, .calendar li.curDay, .calendar li.today
{	
	cursor: pointer;
}

.calendar li.today
{
	background-color: #0000ff;
    color: #ffffff;	
}

.calendar li.curDay
{
	background-color: #ff0000;
    color: #ffffff;
}

ul.body > li:hover
{	
	background-color: #cccccc;
    color: #ffffff;
}

.dialog div.calendar-wrapper
{	
	left:-180px;
	
}

.report_grid div.calendar-wrapper
{	
	left:-300px;
	z-index:20;
}

#demo {
    position: relative;
}

.tab
{
		margin:5px;	
}

.tab button
{
	width:150px;
	background-color:#eeeeee;
	color:#409cf8;
	border-width:1px;
	padding:5px;
	font-weight:bold;
	margin-bottom:-2px;
	margin-right:-0px;
	border-top-left-radius:10px;
	border-top-right-radius:10px;
}

.tab button:hover
{
	cursor: pointer;
	background-color:#cccccc;
}

.tab button.active:hover
{
	cursor: pointer;
	background-color:#cccccc;
}

.tab button.active
{
	background-color:#ffffff;
	color:#005cb8;
	border-bottom-style:none;
	border width:3px;
}

.tab div
{
	height: calc(100vh - 300px);
	border-width:1px;
	border-style:solid;
}

.tab div.multi_list
{
	overflow:auto;
	border-style:none;
	height:100%;
}

.multi_list
{
	overflow:auto;
	height:calc(100vh - 280px);
	border-style:solid;
	border-width:1px;
	margin:5px;
}

.multi_list img
{
	height:20px;
	vertical-align:middle;
	margin:2px;
}

.multi_list img:hover
{
	filter:invert(75%);
  	cursor:pointer;
}


.multi_list ul
{
	list-style:none;
}	

.multi_list label
{
	width:300px;
	display: inline-block;
}

.multi_list input, .multi_list select
{
	width:300px;
	border-radius: 5px;
	margin:2px;
}

.multi_list select:hover, .multi_list input:hover
{
	border-color:#a0a0a0;	
}

.multi_list ul.hidden
{
	display:none;
}

.tab div.calendar-mid,.tab div.calendar-wrapper
{
   	height:auto;
   	border-style:none;
}

.tab.db_ctl div.calendar-wrapper
{
   	left:-200px;	
}




.multi_list ul li.abled, .multi_list ul li.disabled, .multi_list ul li.weekend, .multi_list ul.weekTip li
{
	margin-left:0px;
	margin-right:0px;
}

.multi_list select.year, .multi_list select.date
{
	width:60px;
}

.multi_list li.noChild
{
	margin-left:44px;
}

.multi_list ul li
{
	margin-left:20px;
}


.grid_js
{
	width:100%;
	height: calc(100vh - 350px);
	overflow:auto;
	position:relative:
}

.grid_js img
{
	height:20px;
	vertical-align:middle;
	hoizontal-align:right;
}

.grid_js img:hover
{
	filter:invert(50%);
  	cursor:pointer;
}

.grid_js table tr:nth-child(1) label, .grid_js table tr:nth-child(1) th, .grid_js table tr:nth-child(1) td
{
	//background-color:#ffffff;
	top:0px;
	position:sticky;
}

.grid_js table tr:nth-child(1) th:nth-child(1), .grid_js table tr:nth-child(1) th:nth-child(2)
{
	z-index:10;
}

.grid_js table tr:nth-child(1) th
{
	background-color:#ffffff;
}

.grid_js td
{
	hoizontal-align:right;
}

.grid_js td.numeric, .grid_js th.numeric
{
	text-align:right;
}

.grid_js table td:nth-child(1), .grid_js table th:nth-child(1)
{
	left:0px;
	position: sticky;
	background-color:#ffffff;
	
}

.grid_js table td:nth-child(2), .grid_js table th:nth-child(2)
{
	left:20px;
	position: sticky;
	background-color:#ffffff;
}

.grid_js td.weekend, .grid_js th.weekend, .grid_js table tr:nth-child(1) th.weekend
{
	background-color:#dddddd;
}


.grid_js select
{
	width:200px;
	border-radius:5px;
}

.grid_js input
{
	width:35px;
	margin:2px;
	border-radius:5px;
	text-align:center;
}

.grid_js select:hover, .grid_js input:hover
{
	border-color:#d0d0d0;	
}

.breadcrumb
{
	padding:10px;
}
.breadcrumb a, .breadcrumb span
{
	margin:5px;
}	


.db_ctl.firstCol
{
	width:50px;
}

.grid_val input
{
	width:150px;
	margin:10px;
	margin-top:5px;
	margin-bottom:5px;
	border-radius:5px;
	text-align:right;
	padding:2px;
}
.grid_val input[type=checkbox]
{
	width:30px;
}
.grid_val table tr:nth-child(2) input
{
	text-align:left;
}

.grid_val input:hover
{
	border-color:#d0d0d0;	
}


.grid_val input.narrow
{
	width:50px;
}

.report_grid label
{
	display: inline-block;
	width:150px;
	padding:5px;
	padding-left:20px;
}

.report_grid select, .report_grid input
{
	width:300px;
	border-radius: 5px;	
}

.report_grid img
{
	height:20px;
}

.report_grid th
{
	font-weight: normal;
}

.report_grid div.report_grid_body
{
	height:calc(100vh - 470px);
	width:calc(100vw - 6px);
	overflow:auto;
	border-style:solid;
	border-width:1px;
	margin-left:5px;
	margin-right:5px;
}

.report_grid div.report_grid_body th, .report_grid div.report_grid_body label
{
	text-align:left;
	padding:5px;
}

.report_grid div.report_grid_body td.dataItm label, .report_grid div.report_grid_body td.dataItm, .billCtl td.dataItm
{
	text-align:right;
}

.report_grid div.report_grid_body tr:hover, .report_grid div.report_grid_body tr:hover td
{
	background-color:#888888;
}

.report_grid table tr:nth-child(1), .billCtl table tr:nth-child(1)
{
	background-color:#005cb8;
	color:#ffffff;
	white-space: nowrap;	
	font-weight: bold;	
}

.report_grid table tr:last-child, .report_grid table tr:last-child td, .report_grid table tr:last-child label,
{
	background-color:#005cb8;
	color:#ffffff;
	white-space: nowrap;	
	font-weight: bold;	
}
.report_grid table tr:last-child td:nth-child(2) label, .report_grid table tr:last-child td:nth-child(3) label
{
	color:#005cb8;
}

.report_grid table tr:nth-child(1) th
{
	width:150px;
}

.report_grid table tr:nth-child(1) label, .billCtl label
{
	width:110px;
}

.report_grid table tr th:nth-child(1) img, .report_grid table tr th:nth-child(2) img, .report_grid table tr th:nth-child(3) img
{
	filter:invert(100%);
}

.report_grid img
{
  	cursor:pointer;
	vertical-align:middle;
	height:25px;
}

.report_grid table tr:nth-child(1) th,
{
	z-index:2;
}

.report_grid table tr:nth-child(1) label,.report_grid table tr:nth-child(1) th, .report_grid table tr:nth-child(1) td
{
	background-color:#005cb8;
	top:0px;
	position:sticky;
}

.report_grid table tr:nth-child(1) td
{
	z-index:3;
}

.report_grid table tr th
{
	z-index:1;
	background-color:#ffffff;
}

.report_grid table tr th:nth-child(1)
{
	left:0px;
	position:sticky;
	z-index:3;
}

.report_grid table tr th:nth-child(2)
{
	left:150px;
	position:sticky;
	z-index:3;
}

.report_grid table tr th:nth-child(3)
{
	left:300px;
	position:sticky;
	z-index:3;
}

.report_grid table tr td:nth-child(1)
{
	left:0px;
	z-index:1;
	background-color:#ffffff;
	position:sticky;
}

.report_grid table tr td:nth-child(2)
{
	left:150px;
	z-index:1;
	background-color:#ffffff;
	position:sticky;
}

.report_grid table tr td:nth-child(3)
{
	left:300px;
	z-index:1;
	background-color:#ffffff;
	position:sticky;
}
.report_grid table tr th img
{
	filter:invert(0%);
}

.report_grid table thead th img:hover
{
	filter:invert(100%);
}
.report_grid table thead img:hover
{
	filter:invert(50%);
}


.report_grid select:hover, .report_grid input:hover
{
	border-color:#a0a0a0;	
}

.diaFull
{
	height: 100%;
	width: 100%;
}

.billCtl div
{
	height:calc(100vh - 300px);
	overflow:auto;
}

.billCtl select
{
	margin:10px;
	width:200px;
	border-radius: 5px;
	padding:2px;
}

.billCtl table tr:nth-child(1) td
{
	width:120px;
	text-align:center;
	padding:5px;
}

.billCtl  input
{
	width:50px;
}

.billCtl td
{
	padding:5px;
}

.billCtl table tr:nth-child(1) th
{
	padding:5px;
}

.billCtl table tr:nth-child(1) th img
{
	filter:invert(100%);
}

.billCtl table tr:nth-child(1) th.rowHead 
{
	background-color:#005cb8;	
}

.billCtl th.rowHead
{
	min-width:200px;
	text-align:left;
	left:0px;
	position:sticky;
	z-index:3;
	background-color:#ffffff;
	white-space: nowrap;	
}

.billCtl img
{
	width:20px;
	vertical-align:middle;
}

.dialogue
{
	position:absolute;
	height: 100%;
	width: 100%;
	top:0px;
	left:0px;
	z-index:20;
	background-color: rgba(0,0,0,0.25);
	
}

.dialogue > div
{
	padding:10px;
	position:relative;
	width:auto;
	max-width:400px;
	left:calc(50% - 200px);
  	top:calc(50% - 100px);
  	border-width:1px;
  	border-style:solid;
	z-index:20;
	background-color: #ffffff;

}

.dialogue button
{
	width: 80px;
	height:25px;
	margin: 5px;
	font-weight:Bold;
	border-radius:5px;
	border-style:none;	
	color:#ffffff;
	background-color:#1e3a8a;
}


label
{	display: inline-block;
//	width:150px;
	width:auto;
}
.dialogue div label, .dialogue label
{
	display: inline-block;
	width:150px;
}

.dialogue input,.dialogue select
{
	min-width:200px;
	margin:5px;
	border-radius:5px;
	
} 

.dialogue button:hover , .diaFull button:hover
{
	background-color:#4e6aba;
}
